#!/bin/bash

[[ -n "$DEBUG" ]] && set -x

set -euo pipefail

if ! [[ -d /opt/mixcloud-downloader/venv ]]
then
    virtualenv -p python3 /opt/mixcloud-downloader/venv
fi

source /opt/mixcloud-downloader/venv/bin/activate

pip install --upgrade pip yt-dlp

for i in Neosignal tasmo starkato b4m Alexeyan jakehunnter davem_dokebi tasmo
do
    if ! [[ -d "/storage/nas/Musik/mixcloud/$i" ]]
    then
        # no -p here, this should fail if
        # zfs is not mounted
        mkdir "/storage/nas/Musik/mixcloud/$i"
    fi
    (
        cd "/storage/nas/Musik/mixcloud/$i"
        yt-dlp "https://mixcloud.com/$i"
    )
done

for i in CouchsofaLiveSets
    if ! [[ -d "/storage/nas/Musik/mixcloud/$i" ]]
    then
        # no -p here, this should fail if
        # zfs is not mounted
        mkdir "/storage/nas/Musik/mixcloud/$i"
    fi
    (
        cd "/storage/nas/Musik/mixcloud/$i"
        yt-dlp "https://archive.org/details/$i"
    )
done

for i in tschunkelmusik
    if ! [[ -d "/storage/nas/Musik/mixcloud/$i" ]]
    then
        # no -p here, this should fail if
        # zfs is not mounted
        mkdir "/storage/nas/Musik/mixcloud/$i"
    fi
    (
        cd "/storage/nas/Musik/mixcloud/$i"
        yt-dlp "https://soundcloud.com/$i"
    )
done
